# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "onerom-cli"
version = "0.1.10"
authors = ["Piers Finlayson <piers@piers.rocks>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Command line interface to manage One ROM - the most flexible retro ROM replacement"
homepage = "https://onerom.org"
documentation = "https://docs.rs/onerom-cli"
readme = "README.md"
keywords = [
    "retro",
    "rom",
    "commodore",
    "embedded",
]
categories = [
    "embedded",
    "hardware-support",
]
license = "MIT"
repository = "https://github.com/piersfinlayson/one-rom"
resolver = "2"

[package.metadata.deb]
name = "onerom-cli"
maintainer = "Piers Finlayson <piers@piers.rocks>"
copyright = "Piers Finlayson"
license-file = [
    "LICENSE.txt",
    "0",
]
extended-description = "Command line interface to manage One ROM - the most flexible retro ROM replacement"
depends = "$auto"
section = "utils"
priority = "optional"
maintainer-scripts = "scripts/linux/maintainer"
profile = "release"
assets = [
    [
    "target/release/onerom",
    "usr/bin/",
    "755",
],
    [
    "scripts/69-onerom-cli.rules",
    "lib/udev/rules.d/69-onerom-cli.rules",
    "644",
],
]

[lib]
name = "onerom_cli"
path = "src/lib/mod.rs"

[[bin]]
name = "onerom"
path = "src/main.rs"

[[test]]
name = "firmware"
path = "tests/firmware.rs"

[[test]]
name = "general"
path = "tests/general.rs"

[[test]]
name = "scan"
path = "tests/scan.rs"

[dependencies.base64]
version = "0.22"

[dependencies.bytes]
version = "1.10"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.crossterm]
version = "0.29"

[dependencies.enum_dispatch]
version = "0.3"

[dependencies.env_logger]
version = "0.11"

[dependencies.hex]
version = "0.4"

[dependencies.log]
version = "0.4"

[dependencies.nusb]
version = "0.2"
features = ["tokio"]

[dependencies.onerom-config]
version = "0.4.12"

[dependencies.onerom-fw]
version = "0.1.23"

[dependencies.onerom-gen]
version = "0.5.11"

[dependencies.picoboot]
version = "0.2.3"
features = [
    "reader",
    "tokio",
]

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "charset",
    "blocking",
    "rustls-tls",
]
default-features = false

[dependencies.sdrr-fw-parser]
version = "0.6.14"

[dependencies.serde]
version = "1.0"
features = ["derive"]
default-features = false

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.11"

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "time",
]

[dependencies.wildmatch]
version = "2.6"

[dependencies.zip]
version = "8.2"

[dev-dependencies.tempfile]
version = "3"

[build-dependencies.built]
version = "0.8"
features = ["git2"]

[build-dependencies.embed-resource]
version = "3"

[build-dependencies.git2]
version = "0.20"
default-features = false

[build-dependencies.static_vcruntime]
version = "3.0"
